%define upstream_name    HTTP-XSCookies
%define upstream_version 0.000021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 1

Summary:    Fast XS cookie mangling for Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
This module implements cookie creation (baking) and parsing (crushing)
using XS, therefore improving the speed of a pure Perl implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Oct 11 2018 bcornec <bcornec> 0.0.21-1.1.mga6
+ Revision: 1319457
- Add perl-HTTP-XSCookies to mga6 for perl-Dancer2 update
- Created package structure for perl-HTTP-XSCookies.


* Tue Sep 26 2017 cpan2dist 0.000014-1mga
- initial mageia release, generated with cpan2dist
